<?php

namespace Teknisa\SUP\Modules\Cotacao\Services;

use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO;
use \Zeedhi\Framework\DB\StoredProcedure\Param;
use Teknisa\SUP\Util\SupUtilities;

class PedidoColetaService
{
    protected $entityManager;
    protected $connection;
	
    public function __construct(EntityManager $entityManager,$environment, $connection, SupUtilities $supUtilities) 
    {
        $this->entityManager = $entityManager;
        $this->environment = $environment;
        $this->connection = $connection;
        $this->supUtilities  = $supUtilities;
    }
    
    public function operadoresRelacionados($comprador){   
        $query = "SELECT CDOPERADOR, IDEXSENHCMPOPER, IDCOTCMPOPER, IDAPURCMPOPER, IDAFCMPOPER FROM COMPROPER WHERE CDCOMPRADOR = :P_CDCOMPRADOR AND NRORG = :P_NRORG";
        $params = [
            'P_CDCOMPRADOR' => $comprador,
            'P_NRORG'       => $this->environment->getNrorg()
        ];
        return $this->supUtilities->crud($query, $params);
    }
    
    public function getNmComprador($comprador){   
        $query = "SELECT CDOPERADOR || ' ' || NMOPERADOR AS COMPRADOR FROM OPERADOR WHERE CDOPERADOR = :P_CDCOMPRADOR AND NRORG = :P_NRORG";
        $params = [
            'P_CDCOMPRADOR' => $comprador,
            'P_NRORG'       => $this->environment->getNrorg()
        ];
        return $this->supUtilities->crud($query, $params);
    }
    
    public function selectMsgEnvEmail($funcionalidade) {
        
        $query = "SELECT DSSUBJECT,DSBODY FROM MENSAGEMPADRAOEMAIL WHERE IDOPERACAO = :P_IDOPERACAO AND NRORG = :P_NRORG AND IDATIVO = 'S'";

        $params = [
            "P_IDOPERACAO" => $funcionalidade,
            "P_NRORG" => $this->environment->getNrOrgTrab()
        ];

        $std = $this->entityManager->getConnection()->prepare($query);
        $std->execute($params);
        return $std->fetchAll();
    }
}
